이 콘텐츠는 선택한 언어로 제공되지 않습니다.

5. Examples


The following examples demonstrate how to pass the authentication token through a bearer header using cURL.

Example 1. List Cases

Return 10 cases from the logged-in user's account
$ curl -X POST -H ‘Content-Type: application/json’ -H ‘Authorization: Bearer $token’ --data
	‘{
		"offset" : 1,
		"maxResults": 10
	}’
	https://api.access.redhat.com/support/v1/cases/filter
Copy to Clipboard Toggle word wrap

Example 2. Filter by last update date

$ curl -X POST -H ‘Content-Type: application/json’ -H ‘Authorization: Bearer $token’ --data
	‘{
	“startDate” : “2021-01-01”,
	“endDate”: “2021-12-31”
	}’
	https://api.access.redhat.com/support/v1/cases/filter
Copy to Clipboard Toggle word wrap

Example 3. List Case Comments

This example lists case comments for case 0000000.
Replace 0000000 with the number of a case to which you have access.
$ curl -H ‘Authorization: Bearer $token’ https://api.access.redhat.com/support/v1/cases/0000000/comments
Copy to Clipboard Toggle word wrap

Example 4. Create a Case

The POST operation is used in this example, which creates a case under the RHEL 6 product using the default group, severity level, and type.
$ curl -X POST -H 'Content-Type: application/json -H ‘Authorization: Bearer $token’ --data
	'{
	"product":"Red Hat Enterprise Linux",
	"version":"7.0",
	"summary": "Example Case",
	"description": "Example Case created with cURL”
	}'
	https://api.access.redhat.com/support/v1/cases
Copy to Clipboard Toggle word wrap

Example 5. Update a Case

The PUT method is used here to update data on an existing case. Most fields can be updated in this way.
Case 000000's product is changed to Red Hat Enterprise Linux.
$ curl -X PUT -H 'Content-Type: application/json -H ‘Authorization: Bearer $token’ --data
	'{
	"product": “Red Hat Enterprise Linux”,
	"version":"7.0"
	}'
	https://api.access.redhat.com/support/v1/cases/0000000
Copy to Clipboard Toggle word wrap

Example 6. Escalate a Case for Management Attention

This will escalate a case for management attention:
$ curl -X PUT -H 'Content-Type: application/json -H ‘Authorization: Bearer $token’ --data
	'{
	"requestManagementEscalation": true
	}'
	https://api.access.redhat.com/support/v1/cases/0000000
Copy to Clipboard Toggle word wrap

Example 7. Add a New Case Comment

This example uses the POST method to add a new comment to case 0000000.
$ curl -X POST -H 'Content-Type: application/json -H ‘Authorization: Bearer $token’ --data
	'{
	“commentBody”: “Test comment!  This can contain lots of information, etc.”
	}'
	https://api.access.redhat.com/support/v1/cases/0000000/comments
Copy to Clipboard Toggle word wrap

Example 8. Add a File Attachment to a Case

File attachments are unique because they carry no XML payload. This example uses a form-encoded POST to transmit a file named test.txt to case 0000000. API supports file upload till 1GB.
$ curl -X POST -F 'file=@test.txt' -H ‘Authorization: Bearer $token’ https://api.access.redhat.com/support/v1/cases/0000000/attachments
Copy to Clipboard Toggle word wrap
Red Hat logoGithubredditYoutubeTwitter

자세한 정보

평가판, 구매 및 판매

커뮤니티

Red Hat 문서 정보

Red Hat을 사용하는 고객은 신뢰할 수 있는 콘텐츠가 포함된 제품과 서비스를 통해 혁신하고 목표를 달성할 수 있습니다. 최신 업데이트를 확인하세요.

보다 포괄적 수용을 위한 오픈 소스 용어 교체

Red Hat은 코드, 문서, 웹 속성에서 문제가 있는 언어를 교체하기 위해 최선을 다하고 있습니다. 자세한 내용은 다음을 참조하세요.Red Hat 블로그.

Red Hat 소개

Red Hat은 기업이 핵심 데이터 센터에서 네트워크 에지에 이르기까지 플랫폼과 환경 전반에서 더 쉽게 작업할 수 있도록 강화된 솔루션을 제공합니다.

Theme

© 2026 Red Hat
맨 위로 이동